Username: Password: Remember me
Search + Advanced
Package Details

wps-office 11.1.0.8392-3
http://wps-community.org/
Kingsoft Office (WPS Office) is an office productivity suite

Category: office

Submitter: not3
Maintainer: bobby285271
Votes: 9

License: custom

Last Updated: 2019/06/19 - 06:33:47 +0000
First Submitted: 2014/09/08 - 00:09:53 +0000

Tarball :: PKGBUILD

Dependenciesdesktop-file-utils fontconfig glu gtk2 hicolor-icon-theme libpulse libxrender libxss openssl sdl2 shared-mime-info xdg-utils xorg-mkfontdir 

Sources

Comment by: csgib on Mon, 31 Dec 2018 11:50:44 +0000


Hi,
No open dialog .
Should launch wps with this command :  WPS_NO_KDE_NATIVE_DIALOG=1 wps
Thanks

Comment by: csgib on Mon, 31 Dec 2018 10:11:46 +0000


Hi,
Doesn't compile due error in PKGBUILD, you shouldn't use openssl-1.0 but openssl .
If you have not time to make the change, dison this package so i can update it
Thanks

Comment by: Tux83 on Wed, 18 Apr 2018 20:28:37 +0000


This program has many errors hmm

Error 1:  /usr/bin/wps: línea 38:  6242 Violación de segmento  (`core' generado) ${gInstallPath}/office6/${gApp} ${gOptExt} ${gOpt} "$@"
Solution: edit 3 files "/usr/bin/et" ,"/usr/bin/wds" and "/usr/bin/wpp" adding "-style gtk+"
See: https://askubuntu.com/questions/977624/ … ing/977829

Error 2: not open dialog.
Solution: run "export WPS_NO_KDE_NATIVE_DIALOG=1"

Comment by: ahjolinna on Sun, 26 Mar 2017 06:43:24 +0000


wps does not work properly with latest version of kdialog
It prints "Unexpected value after '--separate-output'."
Please add "export WPS_NO_KDE_NATIVE_DIALOG=1" to the shell script 

Comment by: csgib on Sat, 23 Jan 2016 13:37:44 +0000


Update ;-)

Comment by: csgib on Sat, 23 Jan 2016 07:48:11 +0000


I can update it if you orphan it

Thanks

Stéphane

Comment by: gnastyle on Mon, 18 Jan 2016 20:00:08 +0000


I don't have too much time to update this,
if someone wants to mantain it I'd be happy to orphan the package

Comment by: ahjolinna on Thu, 24 Dec 2015 12:00:16 +0000


I can't open wps (& et, wpp):  KDEInit could not launch '/usr/bin/wps'

Comment by: selishii on Thu, 24 Dec 2015 01:21:39 +0000


Thanks.
But i had to correct file PKGBUILD to set wps-office.
line:  #  install -m755 wps wpp et wps_error_check.sh "$pkgdir/usr/bin"
should look like:  install -m755 wps wpp et "$pkgdir/usr/bin"
Still had to be created  new folder: ~/.kingsoft/office6/mui/10.1.0.5444/ and to copy my localisation from ~/.kingsoft/office6/mui/9.1.0.4975/

Comment by: Tabris on Wed, 23 Dec 2015 01:17:51 +0000


Alpha 20 is out! smile